Bug 1119891

Summary: CVE-2014-3429 ipython: cross-domain websocket hijacking vulnerability [fedora-all]
Product: [Fedora] Fedora Reporter: Vincent Danen <vdanen>
Component: ipythonAssignee: Thomas Spura <tomspur>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 20CC: mrunge, orion, shahms, tomspur
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: ipython-0.13.2-4.fc20 Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-07-25 10:01:47 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1119890    

Description Vincent Danen 2014-07-15 18:35:27 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vincent Danen 2014-07-15 18:35:31 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1119890,1119891

# Description of your update
notes=Security fix for CVE-2014-3429

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 2 Fedora Update System 2014-07-15 20:00:53 UTC
ipython-0.13.2-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ipython-0.13.2-4.fc20

Comment 3 Fedora Update System 2014-07-15 20:07:29 UTC
ipython-0.13.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ipython-0.13.2-4.fc19

Comment 4 Fedora Update System 2014-07-17 04:29:38 UTC
Package ipython-0.13.2-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ipython-0.13.2-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8394/ipython-0.13.2-4.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-07-25 10:01:47 UTC
ipython-0.13.2-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-07-25 10:06:00 UTC
ipython-0.13.2-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.